Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing.border
Class LineBorder

    java.lang.Object
      charvax.swing.border.LineBorder

All Implemented Interfaces:
  Border

public class LineBorder
extends java.lang.Object
implements Border

Constructor Summary
`LineBorder(Color color_)`

Method Summary
`static Border` | `createBlackLineBorder()`
`Insets` | `getBorderInsets(Component component_)` Returns the insets of the border.
`Color` | `getLineColor()`
`void` | `paintBorder(Component component_, int graphics_, int x_, int y_, int width_, int height_)` Paints the border for the specified component with the specified position and size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineBorder

    public LineBorder(Color color_)

Method Detail

### getBorderInsets

    public Insets getBorderInsets(Component component_)

  Returns the insets of the border.

  Specified by:
    `getBorderInsets` in interface `Border`

### createBlackLineBorder

    public static Border createBlackLineBorder()

### getLineColor

    public Color getLineColor()

### paintBorder

    public void paintBorder(Component component_,
                            int graphics_,
                            int x_,
                            int y_,
                            int width_,
                            int height_)

  Paints the border for the specified component with the specified position and size.

  Specified by:
    `paintBorder` in interface `Border`
  Parameters:
    `component_` - the component around which this border is being drawn. The background color of the border is obtained from the component. If the line color of this border is also set to null, the foreground color of the border is also obtained from component_.
    `graphics_` - This parameter is just a placeholder where the Swing "Graphics" parameter would be.
    `x_` - The x coordinate of the top left corner.
    `y_` - The y coordinate of the top left corner.
    `width_` - the width of the border box.
    `height_` - the height of the border box.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD